Subject: Node Requirements in Vancouver RE: Vancouver 6MAN Agenda updated

From: <[email-masked]>
Date: Wed, 5 Dec 2007 07:13:01 -0600

Brian,  

>>      The 6MAN agenda for Vancouver has been updated.  Please notice 
>> that we will be *very* tight on time and the chairs will hold 
>> presenters to there time allotment.

I completely messed my schedule up, and had to leave last night, so I
cannot
make the meeting today. I tried to find you and Bob at the meeting, but
didn't
see you guys.  Since the meeting is tight, maybe we can forgo my
presentation,
and just ask the following questions.

1) Quite a few RFCs have been updated since the IPv6 Node Requirements
document
   was published.  Is there interest in updating the IPv6 Node
Requirements doc?

2) If there is interest, what should be update look like:
 a) Simple update, covering just the updates in the base RFCs.
 b) Update base RFCs, include some additional RFCs (related to mobility,
security, etc.)
 c) Modify the current RFC structure in some way.

As background, I know there are a lot of initiatives by other groups to
define
a core set of RFCs for particular environments, and I wanted to ensure
that the
current structure is sufficient, or should scope of the document be
expanded
in any.

thanks,
John

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Thomas Narten <[email-masked]>
Date: Wed, 05 Dec 2007 09:33:11 -0500

>    was published.  Is there interest in updating the IPv6 Node

Yes. The published RFC was already "old" by the time it gotten
published because it had been on hold for reference dependencies for
so long....

The USG (via NIST and DoD) have IPv6 profiles that are heavily based
on the Node Requirements RFC. I think there are places where we should
clarify existing language, based on the experience people have had in
using RFC 4294.

>  a) Simple update, covering just the updates in the base RFCs.

Let's keep things small and focused, please. Just update the Node
Requirements RFC. Note: we can always update it again later!

To be useful, the published RFC needs to be up-to-date. I'd aim for
getting the revisions done by summer of next year (i.e., around summer
meeting time).

Thomas

---

From: "Soininen Jonne (NSN-FI/Espoo)" <[email-masked]>
Date: Wed, 5 Dec 2007 20:38:49 +0200

Hello everybody,

I didn't get to the mic today as most of the things that I wanted to  
say were said. However, I would like to agree with Thomas. I think we  
should have a fairly timely update on the draft and get it basically  
up to date. We can in the future (if we have energy for it) rewrite  
it more substantially.

Cheers,

Jonne.

---

From: <[email-masked]>
Date: Wed, 5 Dec 2007 13:23:07 -0600

Hi Thomas,

Thanks for your comments. Speaking as an individual (not document
author) this is what I think is the right way forward, but I wanted
to make sure that this would be useful for the WG.

John 

>-----Original Message-----
>From: ext Thomas Narten [mailto:[email-masked]] 
>Sent: 05 December, 2007 06:33
>To: Loughney John (Nokia-NRC/PaloAlto)
>Cc: [email-masked]; [email-masked]; Hinden Bob 
>(Nokia-ES/MtView)
>Subject: Re: Node Requirements in Vancouver RE: Vancouver 6MAN 
>Agenda updated
>
>published because it had been on hold for reference 
>dependencies for so long....
>
>The USG (via NIST and DoD) have IPv6 profiles that are heavily 
>based on the Node Requirements RFC. I think there are places 
>where we should clarify existing language, based on the 
>experience people have had in using RFC 4294.
>
>Let's keep things small and focused, please. Just update the 
>Node Requirements RFC. Note: we can always update it again later!
>
>To be useful, the published RFC needs to be up-to-date. I'd 
>aim for getting the revisions done by summer of next year 
>(i.e., around summer meeting time).
>
>Thomas
>

---

From: Pekka Savola <[email-masked]>
Date: Wed, 5 Dec 2007 21:43:21 +0200 (EET)

>   was published.  Is there interest in updating the IPv6 Node

Which updates are we thinking about here?  Documents which have 
Obsoleted (in the RFC editor's registry) old ones?  The implementors 
(or the customers that write RFPs for them) are smart enough to figure 
this out themselves.

So, why would updating the RFC be useful, given that the running code 
of the IETF is to let the documents gather enough dust.. and then let 
them rot because they've become too dusty to be revived.

Don't we have better things to spend our cycles, i.e., things that are 
actually broken (e.g., RFC3484 issues) instead of just updating 
obsoleted RFC numbers?

Unless there is clear justification why just updating a couple of RFC 
numbers would be beneficial, we should probably either:

  a) forget about the update or

  b) consider a more throrough process including obtaining IETF 
Consensus on what the IPv6 node requirements really are (make it BCP 
or standards track).

I think b) is what USG is using this document for even though it 
currently doesn't have any IETF consensus behind it (it's just an 
informative list of some RFCs somewhat related to IPv6).

Some might say the current state is somewhat problematical and making 
a superficial update without fixing the root problems could make the 
matter even worse.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: "Bound, Jim" <[email-masked]>
Date: Wed, 5 Dec 2007 21:35:58 +0000

> So, why would updating the RFC be useful, given that the
> running code of the IETF is to let the documents gather
> enough dust.. and then let them rot because they've become
> too dusty to be revived.

I like the above this could work.........................

/jim

> From: Pekka Savola [mailto:[email-masked]]
> Sent: Wednesday, December 05, 2007 2:43 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: Node Requirements in Vancouver RE: Vancouver
> 6MAN Agenda updated
>
> Which updates are we thinking about here?  Documents which
> have Obsoleted (in the RFC editor's registry) old ones?  The
> implementors (or the customers that write RFPs for them) are
> smart enough to figure this out themselves.
>
> So, why would updating the RFC be useful, given that the
> running code of the IETF is to let the documents gather
> enough dust.. and then let them rot because they've become
> too dusty to be revived.
>
> Don't we have better things to spend our cycles, i.e., things
> that are actually broken (e.g., RFC3484 issues) instead of
> just updating obsoleted RFC numbers?
>
> Unless there is clear justification why just updating a
> couple of RFC numbers would be beneficial, we should probably either:
>
>   b) consider a more throrough process including obtaining
> IETF Consensus on what the IPv6 node requirements really are
> (make it BCP or standards track).
>
> I think b) is what USG is using this document for even though
> it currently doesn't have any IETF consensus behind it (it's
> just an informative list of some RFCs somewhat related to IPv6).
>
> Some might say the current state is somewhat problematical
> and making a superficial update without fixing the root
> problems could make the matter even worse.
>
> --

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 06 Dec 2007 10:40:39 +1300

> published because it had been on hold for reference dependencies for

+1, and *additionally* it would be really valuable to have a
continuously maintained HTMLised version - unofficial, but
current - since we'll never be able to keep the RFC 100% current.

     Brian

---

From: <[email-masked]>
Date: Wed, 5 Dec 2007 23:02:26 -0600

Jim,

>I like the above this could work.........................

The only problem is that documents live outside of the IETF.  I worry
that we
have out of date information, and that someone will cite outdated or
incorrect
information.

John

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 07 Dec 2007 10:25:00 +1300

> have out of date information, and that someone will cite outdated or

They do. They also put it in text books and it gets taught to a
generation of students. OBE RFCs are definitely a problem.

     Brian